## spectrascope

spectrascope

## Types and Values

struct | GstSpectraScope

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioVisualizer
                        ╰── GstSpectraScope

## Description

Spectrascope is a simple spectrum visualisation element. It renders the frequency spectrum as a series of bars.

#### Example launch line

    1

    gst-launch-1.0 audiotestsrc ! audioconvert ! spectrascope ! ximagesink

## Synopsis

### Element Information

plugin | audiovisualizers
author | Stefan Kost <ensonic@users.sf.net>
class | Visualization

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 8000, 96000 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003

name | src
direction | source
presence | always
details | video/x-raw, format=(string)BGRx, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstSpectraScope

    struct GstSpectraScope;

## See Also

goom